(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     10445,        372]
NotebookOptionsPosition[      7351,        261]
NotebookOutlinePosition[      9227,        326]
CellTagsIndexPosition[      8960,        315]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Code for S11 Graphics ", "Title"],

Cell[CellGroupData[{

Cell["Seashell graphic", "Subsection",
 CellTags->"Seashell code"],

Cell[BoxData[
 RowBox[{"ParametricPlot3D", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      SuperscriptBox["1.16", "v"], " ", 
      RowBox[{"Cos", "[", "v", "]"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"Cos", "[", "u", "]"}]}], ")"}]}], ",", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["1.16", "v"]}], " ", 
      RowBox[{"Sin", "[", "v", "]"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"Cos", "[", "u", "]"}]}], ")"}]}], ",", 
     RowBox[{
      RowBox[{"-", "2"}], " ", 
      SuperscriptBox["1.16", "v"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"Sin", "[", "u", "]"}]}], ")"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"u", ",", "0", ",", 
     RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"v", ",", 
     RowBox[{"-", "15"}], ",", "6"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"Mesh", "\[Rule]", "None"}], ",", 
   RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
   RowBox[{"Axes", "\[Rule]", "False"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Orange", ",", 
      RowBox[{"Opacity", "[", "0.75", "]"}], ",", 
      RowBox[{"Specularity", "[", 
       RowBox[{"White", ",", "20"}], "]"}]}], "}"}]}], ",", 
   RowBox[{"MaxRecursion", "\[Rule]", "3"}]}], "]"}]], "Input",
 CellTags->"Seashell code"]
}, Closed]],

Cell[CellGroupData[{

Cell["Three-dimensional Voronoi", "Subsection",
 CellTags->"3D Voronoi"],

Cell[BoxData[
 RowBox[{"ListPlot3D", "[", 
  RowBox[{
   RowBox[{"RandomReal", "[", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"50", ",", "3"}], "}"}]}], "]"}], ",", 
   RowBox[{"InterpolationOrder", "\[Rule]", "0"}], ",", 
   RowBox[{"Filling", "\[Rule]", "Bottom"}], ",", 
   RowBox[{"Mesh", "\[Rule]", "None"}], ",", 
   RowBox[{"ColorFunction", "\[Rule]", "\"\<Rainbow\>\""}]}], "]"}]], "Input",\

 CellTags->"3D Voronoi",
 CellID->265324879]
}, Closed]],

Cell[CellGroupData[{

Cell["Wavey animation", "Subsection",
 CellTags->"Wavey animation"],

Cell[BoxData[
 RowBox[{"Animate", "[", 
  RowBox[{
   RowBox[{"Plot3D", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Sin", "[", 
       RowBox[{"x", "+", "a"}], "]"}], 
      RowBox[{"Sin", "[", 
       RowBox[{"y", "+", "b"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", 
       RowBox[{"2", "Pi"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", "0", ",", 
       RowBox[{"2", "Pi"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "1"}], ",", 
     RowBox[{"PerformanceGoal", "\[Rule]", "\"\<Quality\>\""}], ",", 
     RowBox[{"Mesh", "\[Rule]", "None"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "0", ",", "Pi"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "0", ",", "Pi"}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellTags->"Wavey animation",
 CellID->64160304]
}, Closed]],

Cell[CellGroupData[{

Cell["Expression tree", "Subsection",
 CellTags->"Expression tree"],

Cell[BoxData[{
 RowBox[{"TraditionalForm", "[", 
  RowBox[{"Expand", "[", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"\[Alpha]", "-", "\[Beta]", "+", "\[Gamma]"}], ")"}], "4"], 
   "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"TreeForm", "[", 
  RowBox[{"Expand", "[", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"\[Alpha]", "-", "\[Beta]", "+", "\[Gamma]"}], ")"}], "4"], 
   "]"}], "]"}]}], "Input",
 CellTags->"Expression tree"]
}, Closed]],

Cell[CellGroupData[{

Cell["Normally distributed spheres", "Subsection",
 CellTags->"Normal spheres"],

Cell[BoxData[
 RowBox[{"Graphics3D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Sphere", "[", 
     RowBox[{"#", ",", ".075"}], "]"}], "&"}], "/@", 
   RowBox[{"RandomReal", "[", 
    RowBox[{
     RowBox[{"NormalDistribution", "[", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"2000", ",", "3"}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellTags->"Normal spheres",
 CellID->773766157]
}, Closed]],

Cell[CellGroupData[{

Cell["Digits of \[Pi]", "Subsection",
 CellTags->"Pi digits"],

Cell[BoxData[
 RowBox[{"Style", "[", 
  RowBox[{
   RowBox[{"N", "[", 
    RowBox[{"Pi", ",", 
     RowBox[{"10", "^", "5"}]}], "]"}], ",", "3.5"}], "]"}]], "Input",
 CellTags->"Pi digits"]
}, Closed]],

Cell[CellGroupData[{

Cell["Point of intersection", "Subsection",
 CellTags->"Point of intersection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"pt", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x", ",", "y"}], "}"}], "/.", "\[InvisibleSpace]", 
    RowBox[{"FindInstance", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         SuperscriptBox["x", "2"], "-", 
         SuperscriptBox["y", "3"]}], "\[LessEqual]", "2"}], "&&", 
       RowBox[{
        RowBox[{
         SuperscriptBox["x", "2"], "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"y", "+", "2"}], ")"}], "2"]}], "\[LessEqual]", "1"}]}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}]}], ";", 
  RowBox[{"reg1", "=", 
   RowBox[{"RegionPlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       SuperscriptBox["x", "2"], "-", 
       SuperscriptBox["y", "3"]}], "\[LessEqual]", "2"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"RGBColor", "[", 
       RowBox[{"0", ",", ".95", ",", "0", ",", ".5"}], "]"}]}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"reg2", "=", 
   RowBox[{"RegionPlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       SuperscriptBox["x", "2"], "+", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"y", "+", "2"}], ")"}], "2"]}], "\[LessEqual]", "1"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"RGBColor", "[", 
       RowBox[{"0", ",", "0", ",", ".95", ",", ".5"}], "]"}]}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{"Show", "[", 
  RowBox[{"{", 
   RowBox[{"reg1", ",", "reg2", ",", 
    RowBox[{"Graphics", "[", 
     RowBox[{"{", 
      RowBox[{"Red", ",", 
       RowBox[{"PointSize", "[", "Large", "]"}], ",", 
       RowBox[{"Point", "[", "pt", "]"}]}], "}"}], "]"}]}], "}"}], 
  "]"}]}], "Input",
 CellTags->"Point of intersection",
 CellID->524903287]
}, Closed]]
}, Open  ]]
},
AutoGeneratedPackage->None,
WindowSize->{853, 792},
WindowMargins->{{5, Automatic}, {Automatic, 7}},
Magnification->1.5,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 13, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "Seashell code"->{
  Cell[654, 27, 66, 1, 54, "Subsection",
   CellTags->"Seashell code"],
  Cell[723, 30, 1418, 41, 179, "Input",
   CellTags->"Seashell code"]},
 "3D Voronoi"->{
  Cell[2178, 76, 72, 1, 40, "Subsection",
   CellTags->"3D Voronoi"],
  Cell[2253, 79, 460, 13, 63, "Input",
   CellTags->"3D Voronoi",
   CellID->265324879]},
 "Wavey animation"->{
  Cell[2750, 97, 67, 1, 40, "Subsection",
   CellTags->"Wavey animation"],
  Cell[2820, 100, 875, 25, 98, "Input",
   CellTags->"Wavey animation",
   CellID->64160304]},
 "Expression tree"->{
  Cell[3732, 130, 67, 1, 40, "Subsection",
   CellTags->"Expression tree"],
  Cell[3802, 133, 448, 13, 97, "Input",
   CellTags->"Expression tree"]},
 "Normal spheres"->{
  Cell[4287, 151, 79, 1, 40, "Subsection",
   CellTags->"Normal spheres"],
  Cell[4369, 154, 381, 12, 63, "Input",
   CellTags->"Normal spheres",
   CellID->773766157]},
 "Pi digits"->{
  Cell[4787, 171, 61, 1, 40, "Subsection",
   CellTags->"Pi digits"],
  Cell[4851, 174, 189, 6, 84, "Input",
   CellTags->"Pi digits"]},
 "Point of intersection"->{
  Cell[5077, 185, 79, 1, 40, "Subsection",
   CellTags->"Point of intersection"],
  Cell[5159, 188, 2164, 69, 321, "Input",
   CellTags->"Point of intersection",
   CellID->524903287]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"Seashell code", 7694, 273},
 {"3D Voronoi", 7855, 278},
 {"Wavey animation", 8037, 284},
 {"Expression tree", 8229, 290},
 {"Normal spheres", 8400, 295},
 {"Pi digits", 8586, 301},
 {"Point of intersection", 8751, 306}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 39, 0, 123, "Title"],
Cell[CellGroupData[{
Cell[654, 27, 66, 1, 54, "Subsection",
 CellTags->"Seashell code"],
Cell[723, 30, 1418, 41, 179, "Input",
 CellTags->"Seashell code"]
}, Closed]],
Cell[CellGroupData[{
Cell[2178, 76, 72, 1, 40, "Subsection",
 CellTags->"3D Voronoi"],
Cell[2253, 79, 460, 13, 63, "Input",
 CellTags->"3D Voronoi",
 CellID->265324879]
}, Closed]],
Cell[CellGroupData[{
Cell[2750, 97, 67, 1, 40, "Subsection",
 CellTags->"Wavey animation"],
Cell[2820, 100, 875, 25, 98, "Input",
 CellTags->"Wavey animation",
 CellID->64160304]
}, Closed]],
Cell[CellGroupData[{
Cell[3732, 130, 67, 1, 40, "Subsection",
 CellTags->"Expression tree"],
Cell[3802, 133, 448, 13, 97, "Input",
 CellTags->"Expression tree"]
}, Closed]],
Cell[CellGroupData[{
Cell[4287, 151, 79, 1, 40, "Subsection",
 CellTags->"Normal spheres"],
Cell[4369, 154, 381, 12, 63, "Input",
 CellTags->"Normal spheres",
 CellID->773766157]
}, Closed]],
Cell[CellGroupData[{
Cell[4787, 171, 61, 1, 40, "Subsection",
 CellTags->"Pi digits"],
Cell[4851, 174, 189, 6, 84, "Input",
 CellTags->"Pi digits"]
}, Closed]],
Cell[CellGroupData[{
Cell[5077, 185, 79, 1, 40, "Subsection",
 CellTags->"Point of intersection"],
Cell[5159, 188, 2164, 69, 321, "Input",
 CellTags->"Point of intersection",
 CellID->524903287]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
